import { Entity } from '@backstage/catalog-model';
import { CatalogProcessor, CatalogProcessorEmit } from '@backstage/plugin-catalog-node';
import { LocationSpec } from '@backstage/plugin-catalog-common';
import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';

/**
 * Adds support for scaffolder specific entity kinds to the catalog.
 *
 * @public
 */
declare class ScaffolderEntitiesProcessor implements CatalogProcessor {
    getProcessorName(): string;
    private readonly validators;
    validateEntityKind(entity: Entity): Promise<boolean>;
    postProcessEntity(entity: Entity, _location: LocationSpec, emit: CatalogProcessorEmit): Promise<Entity>;
}

/**
 * Registers support for the scaffolder specific entity model (e.g. the Template
 * kind) to the catalog backend plugin.
 *
 * @public
 */
declare const catalogModuleScaffolderEntityModel: _backstage_backend_plugin_api.BackendFeature;

export { ScaffolderEntitiesProcessor, catalogModuleScaffolderEntityModel as default };
